package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.System;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.SystemSearchContext;

/**
 * 实体[System] 服务对象接口
 */

public interface ISystemService{
     boolean create(System system) ;
     boolean update(System system) ;
     System get(String systemId) ;
     System get(System system) ;
     boolean remove(String systemId) ;
     boolean save(System system) ;
     boolean checkKey(System system) ;
     System getDraft(System system) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<System> searchDefault(SystemSearchContext context) ;

}
